unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / Atom feed
* bug#51808: [PATCH] Devhelp: On core-updates-frozen, upgrade to 41.2 to use webkit2 4.1
@ 2021-11-13 10:39 Vivien Kraus via Bug reports for GNU Guix
  2021-11-15 11:17 ` Ludovic Courtès
  0 siblings, 1 reply; 2+ messages in thread
From: Vivien Kraus via Bug reports for GNU Guix @ 2021-11-13 10:39 UTC (permalink / raw)
  To: 51808


[-- Attachment #1.1: Type: text/plain, Size: 116 bytes --]


Dear guix,

devhelp 41 gained support for building against webkit2 4.1. I think we
should upgrade, right?

Vivien


[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #1.2: Upgrade devhelp to 41.2 --]
[-- Type: text/x-patch, Size: 2410 bytes --]

From fadbf75a7667cfb9e2a25024913373a53310d06c Mon Sep 17 00:00:00 2001
From: Vivien Kraus <vivien@planete-kraus.eu>
Date: Sat, 13 Nov 2021 10:35:26 +0000
Subject: [PATCH] gnu: devhelp: Upgrade to 41.2.

* gnu/packages/gnome.scm (devhelp): Upgrade to 41.2 to upgrade the webkit
dependency to 4.1.
* gnu/packages/gnome.scm (devhelp) [arguments]: Use meson 0.59.
* gnu/packages/gnome.scm (devhelp) [phase skip-gtk-update-icon-cache]: the
post install script has been moved from meson_post_install.py to
build-aux/meson/.
* gnu/packages/gnome.scm (devhelp) [phase fix-devhelp-gir-inputs]: the devhelp
GIR still mentions webkit 4.0, use 4.1 instead.
---
 gnu/packages/gnome.scm | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d097495b1e..3f1eada0c0 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5775,7 +5775,7 @@ (define-public amtk
 (define-public devhelp
   (package
     (name "devhelp")
-    (version "40.1")
+    (version "41.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnome/sources/" name "/"
@@ -5783,17 +5783,23 @@ (define-public devhelp
                                   name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1fvb69l1nyxdrs95ar95rmpfs8nfkpys4x74r8ilid44hhzdk2iy"))))
+                "1lk0gycjvs6gibhy0zs3ffkrkzrkyl5nkp7n60hgpa6syjq91apc"))))
     (build-system meson-build-system)
     (arguments
-     '(#:glib-or-gtk? #t
+     `(#:glib-or-gtk? #t
+       #:meson ,meson-0.59
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'skip-gtk-update-icon-cache
            ;; Don't create 'icon-theme.cache'.
            (lambda _
-             (substitute* "meson_post_install.py"
-               (("gtk-update-icon-cache") "true")))))))
+             (substitute* "build-aux/meson/meson_post_install.py"
+               (("gtk-update-icon-cache") "true"))))
+         (add-after 'unpack 'fix-devhelp-gir-inputs
+           ;; It still mentions webkitgtk 4.0
+           (lambda _
+             (substitute* "devhelp/meson.build"
+               (("'WebKit2-4.0'") "'WebKit2-4.1'")))))))
     (native-inputs
      `(("intltool" ,intltool)
        ("itstool" ,itstool)
-- 
2.33.1


[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 658 bytes --]

^ permalink raw reply	[flat|nested] 2+ messages in thread

* bug#51808: [PATCH] Devhelp: On core-updates-frozen, upgrade to 41.2 to use webkit2 4.1
  2021-11-13 10:39 bug#51808: [PATCH] Devhelp: On core-updates-frozen, upgrade to 41.2 to use webkit2 4.1 Vivien Kraus via Bug reports for GNU Guix
@ 2021-11-15 11:17 ` Ludovic Courtès
  0 siblings, 0 replies; 2+ messages in thread
From: Ludovic Courtès @ 2021-11-15 11:17 UTC (permalink / raw)
  To: Vivien Kraus; +Cc: 51808-done

Vivien Kraus <vivien@planete-kraus.eu> skribis:

> From fadbf75a7667cfb9e2a25024913373a53310d06c Mon Sep 17 00:00:00 2001
> From: Vivien Kraus <vivien@planete-kraus.eu>
> Date: Sat, 13 Nov 2021 10:35:26 +0000
> Subject: [PATCH] gnu: devhelp: Upgrade to 41.2.
>
> * gnu/packages/gnome.scm (devhelp): Upgrade to 41.2 to upgrade the webkit
> dependency to 4.1.
> * gnu/packages/gnome.scm (devhelp) [arguments]: Use meson 0.59.
> * gnu/packages/gnome.scm (devhelp) [phase skip-gtk-update-icon-cache]: the
> post install script has been moved from meson_post_install.py to
> build-aux/meson/.
> * gnu/packages/gnome.scm (devhelp) [phase fix-devhelp-gir-inputs]: the devhelp
> GIR still mentions webkit 4.0, use 4.1 instead.
> ---
>  gnu/packages/gnome.scm | 16 +++++++++++-----
>  1 file changed, 11 insertions(+), 5 deletions(-)

I tweaked the commit log and applied, thanks!

Ludo’.




^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-11-15 11:18 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-11-13 10:39 bug#51808: [PATCH] Devhelp: On core-updates-frozen, upgrade to 41.2 to use webkit2 4.1 Vivien Kraus via Bug reports for GNU Guix
2021-11-15 11:17 ` Ludovic Courtès

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).